#include <chrono>
#include <future>
#include <iostream>
#include <thread>

int load_config() {
	std::cout << "Loading configuration..." << std::endl;
	std::this_thread::sleep_for(std::chrono::seconds(1));
	return 7;
}

int main() {
	auto handle = std::async(std::launch::async, load_config);
	std::this_thread::sleep_for(std::chrono::milliseconds(200));
	std::cout << "In main..." << std::endl;
	int result = handle.get();
	std::cout << "result = " << result << std::endl;
}
